DPKG-SCANSOURCES(1)

NOM
dpkg-scansources - prog

SYNOPSIS
dpkg-scansources [switch]... rep-de-binaires [fichier-d'-override [chemin-à-préfixer]] > Sources

DESCRIPTION
dpkg-scansources recherche les fichiers .dsc dans le répertoire rep-de-binaires donné. Ces fichiers servent à construire un index des sources Debian, lequel est envoyé sur la sortie standard.

Quand le fichier fichier-d'-override existe, il sert à fixer les priorités des enregistrements pour l'index qui est construit et à remplacer les champs « maintainer » donnés dans les fichiers .dsc. Voyez la page de manuel dpkg-scanpackages pour connaître le format de ce fichier. NB : le fichier fichier-d'-override étant indexé par paquets binaires et non par paquets sources, il y a un petit problème ! Parmi tous les paquets binaires produits par un fichier .dsc, l'implémentation actuelle affecte la priorité la plus élevée au paquet source ; et elle se sert de l'entrée « override » du premier paquet binaire listé dans le fichier .dsc pour modifier l'information sur le responsable du paquet. Cela pourrait changer.

Quand chemin-à-préfixer existe, il est préfixé au champ répertoire dans l'index produit pour le source. On s'en sert communément pour ajouter au champ répertoire le chemin indiquant la racine de l'archive Debian.

OPTIONS

--debug
    demande le débogage.

--help
    Affiche une aide pour l'utilisation et se termine.

-n, --no-sort
    Ne pas trier les enregistrements de l'index. Normalement, ils sont triés selon les noms des paquets source.

-s, --source-override fichier
    Utiliser fichier comme le fichier source d'« override ». Par défaut c'est le nom du fichier « override » indiqué auquel on ajoute .src.

    Le format du fichier source d'« override » diffère de celui du fichier binaire. Il contient seulement deux champs séparés par un espace : le premier est le nom du paquet source et le second la section. Lignes vides et commentaires sont ignorés. Quand un paquet apparaît dans les deux fichiers, le fichier source d'« override » décide du choix de la section.

--version
    Affiche le numéro de la version et se termine.

VOYEZ AUSSI
dpkg-scanpackages(8)

AUTEUR
Roderick Schertler <roderick@argon.org>

TRADUCTION
Philippe Batailler, Janvier 2001.